%define upstream_name    WWW-Curl-Simple
%define upstream_version 0.100191

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A small class representing request/response
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::HiRes) >= 1.970.500
BuildRequires: perl(WWW::Curl::Easy)
BuildRequires: perl(WWW::Curl::Multi)
BuildRequires: perl(base)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Just a way to collect things used by both single and multi, and some
WWW::Curl setup. You shouldn't need to use this class anywhere, although
'$curl->perform' returns objects of this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.191-5.mga6
+ Revision: 1035710
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.100.191-4.mga6
+ Revision: 941062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.191-3.mga5
+ Revision: 748014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.191-2.mga5
+ Revision: 686835
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.100.191-1.mga5
+ Revision: 581391
- update to 0.100191

* Sat Oct 19 2013 umeabot <umeabot> 0.100.189-2.mga4
+ Revision: 534013
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.100.189-1.mga4
+ Revision: 476006
- update to 0.100189

* Thu Aug 29 2013 sander85 <sander85> 0.100.188-1.mga4
+ Revision: 473034
- update to 0.100188

* Mon Aug 12 2013 sander85 <sander85> 0.100.187-1.mga4
+ Revision: 465712
- update to 0.100187

* Mon Jul 15 2013 sander85 <sander85> 0.100.186-1.mga4
+ Revision: 454757
- update to 0.100186

* Sun Jan 13 2013 umeabot <umeabot> 0.100.185-2.mga3
+ Revision: 374729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 kharec <kharec> 0.100.185-1.mga2
+ Revision: 213814
- update to 0.100185

* Thu Feb 23 2012 kharec <kharec> 0.100.184-1.mga2
+ Revision: 212639
- imported package perl-WWW-Curl-Simple


* Thu Feb 23 2012 cpan2dist 0.100184-1mga
- initial mageia release, generated with cpan2dist
